GETList Streams

Flexible Webhook APIhttps://web3.nodit.io/v1/aptos/mainnet/flexible-webhooks/streams

Returns the available Stream types, their structures, and CEL schema list for Flexible Webhook subscriptions. Use the streamId to create a Flexible Webhook subscription and receive data matching the stream's schema at the destination endpoint you specify.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

Query Parameters
pageinteger

Page number to retrieve. Starts from 1.

rppinteger

Number of results per page. Minimum 1, maximum 100. Defaults to 10.

Responses
totalinteger

Total number of Streams matching the query conditions.

pageinteger

Current page number.

rppinteger

Number of results per page.

streamIdstring

The unique ID of the on-chain data trackable via Flexible Webhook. You can look this up using the List Flexible Streams API.

slugstring

A human-readable identifier for the stream.

chainstring

The name of the blockchain from which data is retrieved.

networkstring

The network of the blockchain from which data is retrieved (e.g., "mainnet", "testnet").

descriptionstring

A description of the stream. Returns null if not provided.

schemaobject

The JSON Schema for the Stream event payload.

filterFieldsstring[]

List of fields that can be used as filter conditions in a CEL expression.

bigintFieldsstring[]

List of fields with bigint values. Take care with numeric comparisons when writing CEL expressions.

addressFieldsstring[]

List of fields containing blockchain address values. Use the address_eq() function in CEL expressions for these fields.

X-API-KEY
Request
cURL
curl -X GET "https://web3.nodit.io/v1/aptos/mainnet/flexible-webhooks/streams?page=1&rpp=10" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "total": 6,
  "page": 1,
  "rpp": 10,
  "items": [
    {
      "streamId": "77",
      "slug": "ethereum.mainnet.erc20.transfer",
      "protocol": "ethereum",
      "network": "mainnet",
      "description": "ethereum.mainnet.erc20.transfer schema for CEL evaluation",
      "schema": {
        "type": "object",
        "properties": {
          "block_number": {
            "type": "integer"
          },
          "block_timestamp": {
            "type": "integer"
          },
          "from_address": {
            "type": "string"
          },
          "log_index": {
            "type": "integer"
          },
          "to_address": {
            "type": "string"
          },
          "token_address": {
            "type": "string"
          },
          "transaction_hash": {
            "type": "string"
          },
          "transaction_index": {
            "type": "integer"
          },
          "value": {
            "type": "string"
          }
        }
      },
      "filterFields": [
        "token_address",
        "from_address",
        "to_address",
        "value"
      ],
      "bigintFields": [
        "value"
      ],
      "addressFields": [
        "token_address",
        "from_address",
        "to_address"
      ]
    }
  ]
}